Package org.apache.synapse.format.syslog

# Class SyslogConstants

java.lang.Object
org.apache.synapse.format.syslog.SyslogConstants

public class SyslogConstants extends Object
Class defining constants for the syslog protocol.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FACILITY`
  Name of the attribute storing the facility of a syslog event.
  `static final QName`
  `MESSAGE`
  Qualified name of the root element of the XML representation of a syslog event.
  `static final String`
  `NAMESPACE_URI`
  The namespace used in the XML representation of a syslog event.
  `static final String`
  `PID`
  Name of the attribute storing the process ID of a syslog event;
  `static final String`
  `SEVERITY`
  Name of the attribute storing the severity of a syslog event.
  `static final String`
  `TAG`
  Name of the attribute storing the tag of a syslog event.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE_URI

    public static final String NAMESPACE_URI
    The namespace used in the XML representation of a syslog event.
    See Also:
      - Constant Field Values

  - ### MESSAGE

    public static final QName MESSAGE
    Qualified name of the root element of the XML representation of a syslog event.

  - ### FACILITY

    public static final String FACILITY
    Name of the attribute storing the facility of a syslog event.
    See Also:
      - Constant Field Values

  - ### SEVERITY

    public static final String SEVERITY
    Name of the attribute storing the severity of a syslog event.
    See Also:
      - Constant Field Values

  - ### TAG

    public static final String TAG
    Name of the attribute storing the tag of a syslog event.
    See Also:
      - Constant Field Values

  - ### PID

    public static final String PID
    Name of the attribute storing the process ID of a syslog event;
    See Also:
      - Constant Field Values